DROP TABLE FP;
DROP TABLE FPP;
DROP TABLE F;
DROP TABLE P;

CREATE TABLE F (
	CodF CHAR(2) NOT NULL,
	NomeF VARCHAR(10) NOT NULL,
	NSoci SMALLINT,
    Sede VARCHAR(10),
	PRIMARY KEY(CodF)
);

CREATE TABLE P (
	CodP CHAR(2) NOT NULL,
	NomeP VARCHAR(10) NOT NULL,
	Colore VARCHAR(10),
	Taglia SMALLINT,
	Magazzino VARCHAR(10),
	PRIMARY KEY (CodP)
);

CREATE TABLE FP (
	CodF CHAR(2) NOT NULL,
	CodP CHAR(2) NOT NULL,
	Qta SMALLINT,
	PRIMARY KEY (CodF, CodP),
	FOREIGN KEY(CodF)
		REFERENCES F(CodF),
	FOREIGN KEY(CodP)
		REFERENCES P(CodP)
);

CREATE TABLE FPP (
	CodF CHAR(2) NOT NULL,
	CodP CHAR(2) NOT NULL,
	Qta SMALLINT,
	PRIMARY KEY (CodF, CodP),
	FOREIGN KEY(CodF)
		REFERENCES F(CodF),
	FOREIGN KEY(CodP)
		REFERENCES P(CodP)
);

INSERT INTO F VALUES ('F1', 'Andrea', 2, 'Torino');
INSERT INTO F VALUES ('F2', 'Luca', 1, 'Milano');
INSERT INTO F VALUES ('F3', 'Antonio', 3, 'Milano');
INSERT INTO F VALUES ('F4', 'Gabriele', 2, 'Torino');
INSERT INTO F VALUES ('F5', 'Matteo', 3, 'Venezia');

INSERT INTO P VALUES ('P1', 'Maglia', 'Rosso', 40, 'Torino');
INSERT INTO P VALUES ('P2', 'Jeans', 'Verde', 48, 'Milano');
INSERT INTO P VALUES ('P3', 'Camicia', 'Blu', 48, 'Roma');
INSERT INTO P VALUES ('P4', 'Camicia', 'Blu', 44, 'Torino');
INSERT INTO P VALUES ('P5', 'Gonna', 'Blu', 40, 'Milano');
INSERT INTO P VALUES ('P6', 'Bermuda', 'Rosso', NULL, 'Torino');

INSERT INTO FP VALUES ('F1', 'P1', 300);
INSERT INTO FP VALUES ('F1', 'P2', 200);
INSERT INTO FP VALUES ('F1', 'P3', 400);
INSERT INTO FP VALUES ('F1', 'P4', 200);
INSERT INTO FP VALUES ('F1', 'P5', 100);
INSERT INTO FP VALUES ('F1', 'P6', 100);
INSERT INTO FP VALUES ('F2', 'P1', 300);
INSERT INTO FP VALUES ('F2', 'P2', 400);
INSERT INTO FP VALUES ('F3', 'P2', 200);
INSERT INTO FP VALUES ('F4', 'P3', 200);
INSERT INTO FP VALUES ('F4', 'P4', 300);
INSERT INTO FP VALUES ('F4', 'P5', 400);

INSERT INTO FPP VALUES ('F1', 'P1', 500);
INSERT INTO FPP VALUES ('F1', 'P2', 100);
INSERT INTO FPP VALUES ('F1', 'P3', 400);
INSERT INTO FPP VALUES ('F1', 'P4', 100);
INSERT INTO FPP VALUES ('F1', 'P5', 500);
INSERT INTO FPP VALUES ('F1', 'P6', 300);
INSERT INTO FPP VALUES ('F2', 'P1', 400);
INSERT INTO FPP VALUES ('F2', 'P2', 500);
INSERT INTO FPP VALUES ('F3', 'P2', 300);
INSERT INTO FPP VALUES ('F4', 'P3', 200);
INSERT INTO FPP VALUES ('F4', 'P4', 100);
INSERT INTO FPP VALUES ('F4', 'P5', 100);

